Bug 1007977 - KieRepository doesn't check if there are new snapshot kjar deployed on the maven repo when creating a new KieContainer
KieRepository doesn't check if there are new snapshot kjar deployed on the ma...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Mario Fusco
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 12:28 EDT by Mario Fusco
Modified: 2014-08-06 16:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Fusco 2013-09-13 12:28:47 EDT
Description of problem:

When new snapshot kjar are deployed on a maven repo and the kiescanner is not enabled, a newly created kiecontainer referring to that snapshot releaseId actually uses the old kjar (cached in the KieRepository) instead of downloading the new one from the maven repo.

How reproducible:

Always

Steps to Reproduce:

A pull request reproducing this issue has been provided here:

https://github.com/droolsjbpm/drools/pull/248/files

Actual results:

The 2nd KieContainer uses the old kjar instead of downloading the new one deployed in the maven repository.

Expected results:

when creating a new KieContainer it should check if a new snapshot has been deployed in the maven repo and then use it.
Comment 2 Mario Fusco 2013-09-20 06:21:18 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/b09e981f1
Comment 3 Tomas David 2013-10-21 06:01:03 EDT
Verified on BRMS 6.0.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.